gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.FontOptions

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype FontOptions = FontOptions (ManagedPtr FontOptions)

# Exported types

newtype FontOptions Source #

Memory-managed wrapper type.

Constructors

FontOptions (ManagedPtr FontOptions) |

#### Instances

Instances details

Eq FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions Methods (==) :: FontOptions -> FontOptions -> Bool Source # (/=) :: FontOptions -> FontOptions -> Bool Source #
GBoxed FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions
ManagedPtrNewtype FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions Methods toManagedPtr :: FontOptions -> ManagedPtr FontOptions Source #
TypedObject FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions Methods glibType :: IO GType Source #
HasParentTypes FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions
IsGValue (Maybe FontOptions) Source # | Convert `FontOptions` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.FontOptions Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FontOptions -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FontOptions) Source #
type ParentTypes FontOptions Source # |
Instance details Defined in GI.Cairo.Structs.FontOptions type ParentTypes FontOptions = '[] :: [Type]

# Methods